Package org.apache.sling.scriptingbundle.plugin.processor

## Class PathOnlyScriptAnalyser

- java.lang.Object
- - org.apache.sling.scriptingbundle.plugin.processor.PathOnlyScriptAnalyser

    public class PathOnlyScriptAnalyser
    extends Object

### Constructor Summary

Constructors
`PathOnlyScriptAnalyser​(@NotNull Logger logger, @NotNull Path scriptsDirectory, @NotNull Map<String,​String> scriptEngineMappings, @NotNull FileProcessor fileProcessor, boolean inContentPackage)`

### Method Summary

All Methods Instance Methods Concrete Methods
`@NotNull Capabilities` `getProvidedScriptCapability​(@NotNull Path file)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PathOnlyScriptAnalyser

    public PathOnlyScriptAnalyser​(@NotNull
                                  @NotNull Logger logger,
                                  @NotNull
                                  @NotNull Path scriptsDirectory,
                                  @NotNull
                                  @NotNull Map<String,​String> scriptEngineMappings,
                                  @NotNull
                                  @NotNull FileProcessor fileProcessor,
                                  boolean inContentPackage)

### Method Detail

#### getProvidedScriptCapability

    @NotNull
    public @NotNull Capabilities getProvidedScriptCapability​(@NotNull
                                                             @NotNull Path file)